
#### Incident Fields

- **Rapid7 ThreatCommand CSV**
  - Updated the incident field to include more columns.

#### Incident Types

- **Rapid7 ThreatCommand Alert**
  - Updated the default playbook for the incident type.

#### Integrations

##### Rapid7 - Threat Command (IntSights)

- Added the `network_type` parameter for fetch incidents to filter on the network type of alert.
- Added the retry mechanism for 429 and 5xx errors.
- Updated the incident fetching mechanism to exclude attachment retrieval during polling. Instead, a new playbook has been introduced specifically for handling attachment retrieval. This implementation is expected to significantly enhance the overall performance of the incident fetching mechanism.
- Updated the help README for setting up the integration instance.
- Updated the test connectivity module to include more checks on the integration parameters.
- Added the loggers at the required places.
- Updated the `threat-command-alert-csv-get` command to return CSV data in the form of JSON.
- Added the tooltip for multiple integration parameters.
- Updated the Docker image to: *demisto/python3:3.10.13.80593*.

#### Layouts

##### Rapid7 ThreatCommand - Layout

- Updated the layout for the changes related to alert attachments in the form of war room entries.

#### Mappers

##### Rapid7 ThreatCommand - Incoming Mapper

- Updated the mapper for the changes related to alert attachments.

#### Playbooks

##### New: Retrieve Alert Attachments - Rapid7 ThreatCommand

- New: This playbook is used by default for the Rapid7 ThreatCommand alerts being ingested as XSOAR incidents. This playbook retrieves attachments (CSV file and images) using the Alert ID incident field. (Available from Cortex XSOAR 6.8.0).
